Install gcc on Fedora 10



Computer Configuration GNU Linux Fedora using Linux Command

 

   Below is an example of yum command to install gcc on Fedora 10.  To execute yum command and install gcc on Fedora 10 you may need to log in as root user or use the su command and then execute command as show on example below to start the gcc installation process.

 

Install gcc on Fedora 10

[root@fedora10 frox-0.7.18]# yum -y install gcc*

Loaded plugins: presto, refresh-packagekit

Setting up and reading Presto delta metadata

fedora                                                                                           | 2.8 kB     00:00

No Presto metadata available for fedora

updates                                                                                          | 3.4 kB     00:00

No Presto metadata available for updates

Setting up Install Process

Resolving Dependencies

--> Running transaction check

---> Package gcc.i386 0:4.3.2-7 set to be updated

--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.3.2-7.i386

---> Package gcc-c++.i386 0:4.3.2-7 set to be updated

--> Processing Dependency: libstdc++-devel = 4.3.2-7 for package: gcc-c++-4.3.2-7.i386

---> Package gcc-gfortran.i386 0:4.3.2-7 set to be updated

--> Processing Dependency: libgfortran = 4.3.2-7 for package: gcc-gfortran-4.3.2-7.i386

--> Processing Dependency: libgfortran.so.3 for package: gcc-gfortran-4.3.2-7.i386

---> Package gcc-gnat.i386 0:4.3.2-7 set to be updated

--> Processing Dependency: libgnat = 4.3.2-7 for package: gcc-gnat-4.3.2-7.i386

--> Processing Dependency: libgnarl-4.3.so for package: gcc-gnat-4.3.2-7.i386

--> Processing Dependency: libgnat-4.3.so for package: gcc-gnat-4.3.2-7.i386

---> Package gcc-java.i386 0:4.3.2-7 set to be updated

updates/filelists_db                                                                             | 8.2 MB     08:04

--> Processing Dependency: libgcj-devel = 4.3.2-7 for package: gcc-java-4.3.2-7.i386

--> Processing Dependency: /usr/share/java/eclipse-ecj.jar for package: gcc-java-4.3.2-7.i386

---> Package gcc-objc.i386 0:4.3.2-7 set to be updated

--> Processing Dependency: libobjc = 4.3.2-7 for package: gcc-objc-4.3.2-7.i386

--> Processing Dependency: libobjc.so.2 for package: gcc-objc-4.3.2-7.i386

---> Package gcc-objc++.i386 0:4.3.2-7 set to be updated

--> Running transaction check

---> Package eclipse-ecj.i386 1:3.4.1-5.fc10 set to be updated

---> Package glibc-devel.i386 0:2.9-3 set to be updated

--> Processing Dependency: glibc-headers = 2.9-3 for package: glibc-devel-2.9-3.i386

---> Package libgcj-devel.i386 0:4.3.2-7 set to be updated

---> Package libgfortran.i386 0:4.3.2-7 set to be updated

---> Package libgnat.i386 0:4.3.2-7 set to be updated

---> Package libobjc.i386 0:4.3.2-7 set to be updated

---> Package libstdc++-devel.i386 0:4.3.2-7 set to be updated

--> Running transaction check

---> Package glibc-headers.i386 0:2.9-3 set to be updated

--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.9-3.i386

--> Processing Dependency: kernel-headers for package: glibc-headers-2.9-3.i386

--> Running transaction check

---> Package kernel-headers.i386 0:2.6.27.37-170.2.104.fc10 set to be updated

--> Finished Dependency Resolution

 

Dependencies Resolved

 

========================================================================================================================

 Package                       Arch               Version                                   Repository             Size

========================================================================================================================

Installing:

 gcc                           i386               4.3.2-7                                   fedora                8.2 M

 gcc-c++                       i386               4.3.2-7                                   fedora                3.9 M

 gcc-gfortran                  i386               4.3.2-7                                   fedora                3.7 M

 gcc-gnat                      i386               4.3.2-7                                   fedora                 12 M

 gcc-java                      i386               4.3.2-7                                   fedora                3.1 M

 gcc-objc                      i386               4.3.2-7                                   fedora                3.0 M

 gcc-objc++                    i386               4.3.2-7                                   fedora                3.2 M

Installing for dependencies:

 eclipse-ecj                   i386               1:3.4.1-5.fc10                            fedora                4.2 M

 glibc-devel                   i386               2.9-3                                     updates               2.1 M

 glibc-headers                 i386               2.9-3                                     updates               616 k

 kernel-headers                i386               2.6.27.37-170.2.104.fc10                  updates               772 k

 libgcj-devel                  i386               4.3.2-7                                   fedora                1.4 M

 libgfortran                   i386               4.3.2-7                                   fedora                248 k

 libgnat                       i386               4.3.2-7                                   fedora                1.0 M

 libobjc                       i386               4.3.2-7                                   fedora                 57 k

 libstdc++-devel               i386               4.3.2-7                                   fedora                3.8 M

 

Transaction Summary

========================================================================================================================

Install     16 Package(s)

Update       0 Package(s)

Remove       0 Package(s)

 

Total download size: 51 M

Downloading Packages:

Downloading DeltaRPMs:

Rebuilding rpms from deltarpms

(1/16): eclipse-ecj-3.4.1-5.fc10.i386.rpm                                                        | 4.2 MB     02:32

(2/16): gcc-4.3.2-7.i386.rpm                                                                     | 8.2 MB     04:31

(3/16): gcc-c++-4.3.2-7.i386.rpm                                                                 | 3.9 MB     02:16

(4/16): gcc-gfortran-4.3.2-7.i386.rpm                                                            | 3.7 MB     02:02

(5/16): gcc-gnat-4.3.2-7.i386.rpm                                                                |  12 MB     06:03

(6/16): gcc-java-4.3.2-7.i386.rpm                                                                | 3.1 MB     01:18

(7/16): gcc-objc-4.3.2-7.i386.rpm                                                                | 3.0 MB     01:14

(8/16): gcc-objc++-4.3.2-7.i386.rpm                                                              | 3.2 MB     01:29

(9/16): glibc-devel-2.9-3.i386.rpm                                                               | 2.1 MB     01:47

(10/16): glibc-headers-2.9-3.i386.rpm                                                            | 616 kB     00:26

(11/16): kernel-headers-2.6.27.37-170.2.104.fc10.i386.rpm                                        | 772 kB     00:35

(12/16): libgcj-devel-4.3.2-7.i386.rpm                                                           | 1.4 MB     00:36

(13/16): libgfortran-4.3.2-7.i386.rpm                                                            | 248 kB     00:06

(14/16): libgnat-4.3.2-7.i386.rpm                                                                | 1.0 MB     00:26

(15/16): libobjc-4.3.2-7.i386.rpm

(16/16): libstdc++-devel-4.3.2-7.i386.rpm

-----------------------------------------------------------------

Total

Running rpm_check_debug

Running Transaction Test

Finished Transaction Test

Transaction Test Succeeded

Running Transaction

  Installing     : libobjc-4.3.2-7.i386

  Installing     : libgfortran-4.3.2-7.i386

  Installing     : libgnat-4.3.2-7.i386

  Installing     : kernel-headers-2.6.27.37-170.2.104.fc10.i386

  Installing     : glibc-headers-2.9-3.i386

  Installing     : glibc-devel-2.9-3.i386

  Installing     : 1:eclipse-ecj-3.4.1-5.fc10.i386

  Installing     : libstdc++-devel-4.3.2-7.i386

  Installing     : libgcj-devel-4.3.2-7.i386

  Installing     : gcc-4.3.2-7.i386

  Installing     : gcc-objc-4.3.2-7.i386

  Installing     : gcc-c++-4.3.2-7.i386

  Installing     : gcc-gfortran-4.3.2-7.i386

  Installing     : gcc-java-4.3.2-7.i386

  Installing     : gcc-objc++-4.3.2-7.i386

  Installing     : gcc-gnat-4.3.2-7.i386

 

Installed:

  gcc.i386 0:4.3.2-7          gcc-c++.i386 0:4.3.2-7      gcc-gfo

  gcc-java.i386 0:4.3.2-7     gcc-objc.i386 0:4.3.2-7     gcc-obj

 

Dependency Installed:

  eclipse-ecj.i386 1:3.4.1-5.fc10                    glibc-devel.

  kernel-headers.i386 0:2.6.27.37-170.2.104.fc10     libgcj-devel

  libgnat.i386 0:4.3.2-7                             libobjc.i386

 

Complete!

[root@fedora10 frox-0.7.18]#

 




Fedora Smolt PyQt4.QtCore import error



Computer Configuration GNU Linux Fedora using Linux Command

 

   When try to open smolt on Fedora 10, there seem to have problem with  PyQt4.QtCore. The message say that the is some problem with ImportError: No module named PyQt4.QtCore.  Try searching for solution but nothing came up.  But for now my best solution to running smolt in Fedora core is to install PyQt4... see example below

 

Error message when open smolt GUI interfce on Fedora 10:

[fedora10@fedora10 ~]$ su - -c "/usr/share/smolt/client/smoltGui.py"

Password:

Traceback (most recent call last):

  File "/usr/share/smolt/client/smoltGui.py", line 22, in <module>

    from PyQt4.QtCore import *

ImportError: No module named PyQt4.QtCore

[fedora10@fedora10 ~]$

 

Solution for ImportError: No module named PyQt4.QtCore... install PyQt4.

 

Change to root user account:

[fedora10@fedora10 ~]$ su -

Password:

[root@fedora10 ~]#

 

Start the installation process:

[root@fedora10 ~]# yum -y install PyQt4*

Loaded plugins: refresh-packagekit

Setting up Install Process

Resolving Dependencies

--> Running transaction check

---> Package PyQt4.i386 0:4.5.4-1.fc10 set to be updated

--> Processing Dependency: sip >= 4.8.2 for package: PyQt4-4.5.4-1.fc10.i386

---> Package PyQt4-devel.i386 0:4.5.4-1.fc10 set to be updated

--> Processing Dependency: qt4-devel for package: PyQt4-devel-4.5.4-1.fc10.i386

--> Processing Dependency: sip-devel for package: PyQt4-devel-4.5.4-1.fc10.i386

--> Running transaction check

---> Package qt-devel.i386 1:4.5.2-3.fc10 set to be updated

--> Processing Dependency: libGL-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libXfixes-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libSM-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libXinerama-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: xorg-x11-proto-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libXt-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libXcursor-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libXrandr-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libICE-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libGLU-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libXrender-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libX11-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libXft-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libpng-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libjpeg-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libXi-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

--> Processing Dependency: libXext-devel for package: 1:qt-devel-4.5.2-3.fc10.i386

---> Package sip.i386 0:4.8.2-1.fc10 set to be updated

---> Package sip-devel.i386 0:4.8.2-1.fc10 set to be updated

--> Processing Dependency: python-devel for package: sip-devel-4.8.2-1.fc10.i386

--> Running transaction check

---> Package libICE-devel.i386 0:1.0.4-4.fc10 set to be updated

---> Package libSM-devel.i386 0:1.1.0-2.fc10 set to be updated

---> Package libX11-devel.i386 0:1.1.5-4.fc10 set to be updated

--> Processing Dependency: libxcb-devel for package: libX11-devel-1.1.5-4.fc10.i386

--> Processing Dependency: libXau-devel for package: libX11-devel-1.1.5-4.fc10.i386

--> Processing Dependency: libXdmcp-devel for package: libX11-devel-1.1.5-4.fc10.i386

---> Package libXcursor-devel.i386 0:1.1.9-3.fc10 set to be updated

---> Package libXext-devel.i386 0:1.0.4-1.fc9 set to be updated

---> Package libXfixes-devel.i386 0:4.0.3-4.fc10 set to be updated

---> Package libXft-devel.i386 0:2.1.13-1.fc10 set to be updated

--> Processing Dependency: freetype-devel >= 2.1.9-2 for package: libXft-devel-2.1.13-1.fc10.i386

--> Processing Dependency: fontconfig-devel >= 2.2-1 for package: libXft-devel-2.1.13-1.fc10.i386

---> Package libXi-devel.i386 0:1.1.3-4.fc9 set to be updated

---> Package libXinerama-devel.i386 0:1.0.3-2.fc10 set to be updated

---> Package libXrandr-devel.i386 0:1.2.3-1.fc10 set to be updated

---> Package libXrender-devel.i386 0:0.9.4-3.fc9 set to be updated

---> Package libXt-devel.i386 0:1.0.5-1.fc10 set to be updated

---> Package libjpeg-devel.i386 0:6b-43.fc10 set to be updated

---> Package libpng-devel.i386 2:1.2.37-1.fc10 set to be updated

--> Processing Dependency: zlib-devel for package: 2:libpng-devel-1.2.37-1.fc10.i386

---> Package mesa-libGL-devel.i386 0:7.2-0.15.fc10 set to be updated

---> Package mesa-libGLU-devel.i386 0:7.2-0.15.fc10 set to be updated

---> Package python-devel.i386 0:2.5.2-1.fc10 set to be updated

---> Package xorg-x11-proto-devel.noarch 0:7.4-5.fc10 set to be updated

--> Running transaction check

---> Package fontconfig-devel.i386 0:2.6.0-3.fc10 set to be updated

---> Package freetype-devel.i386 0:2.3.7-3.fc10 set to be updated

---> Package libXau-devel.i386 0:1.0.4-1.fc10 set to be updated

---> Package libXdmcp-devel.i386 0:1.0.2-6.fc10 set to be updated

---> Package libxcb-devel.i386 0:1.1.91-7.fc10 set to be updated

---> Package zlib-devel.i386 0:1.2.3-18.fc9 set to be updated

--> Finished Dependency Resolution

Dependencies Resolved

 

====================================================================================================

 Package                        Arch             Version                    Repository         Size

====================================================================================================

Installing:

 PyQt4                          i386             4.5.4-1.fc10               updates           2.8 M

 PyQt4-devel                    i386             4.5.4-1.fc10               updates           7.2 M

 

Installing for dependencies:

 fontconfig-devel               i386             2.6.0-3.fc10               fedora            216 k

 freetype-devel                 i386             2.3.7-3.fc10               updates           157 k

 libICE-devel                   i386             1.0.4-4.fc10               fedora             13 k

 libSM-devel                    i386             1.1.0-2.fc10               fedora             10 k

 libX11-devel                   i386             1.1.5-4.fc10               updates           1.1 M

 libXau-devel                   i386             1.0.4-1.fc10               fedora             11 k

 libXcursor-devel               i386             1.1.9-3.fc10               fedora             19 k

 libXdmcp-devel                 i386             1.0.2-6.fc10               fedora            8.0 k

 libXext-devel                  i386             1.0.4-1.fc9                fedora             60 k

 libXfixes-devel                i386             4.0.3-4.fc10               fedora            9.8 k

 libXft-devel                   i386             2.1.13-1.fc10              fedora             17 k

 libXi-devel                    i386             1.1.3-4.fc9                fedora             52 k

 libXinerama-devel              i386             1.0.3-2.fc10               fedora            8.5 k

 libXrandr-devel                i386             1.2.3-1.fc10               fedora             17 k

 libXrender-devel               i386             0.9.4-3.fc9                fedora            9.2 k

 libXt-devel                    i386             1.0.5-1.fc10               fedora            328 k

 libjpeg-devel                  i386             6b-43.fc10                 fedora            104 k

 libpng-devel                   i386             2:1.2.37-1.fc10            updates           110 k

 libxcb-devel                   i386             1.1.91-7.fc10              updates           144 k

 mesa-libGL-devel               i386             7.2-0.15.fc10              updates           460 k

 mesa-libGLU-devel              i386             7.2-0.15.fc10              updates           101 k

 python-devel                   i386             2.5.2-1.fc10               fedora            901 k

 qt-devel                       i386             1:4.5.2-3.fc10             updates           7.6 M

 sip                            i386             4.8.2-1.fc10               updates           243 k

 sip-devel                      i386             4.8.2-1.fc10               updates            19 k

 xorg-x11-proto-devel           noarch           7.4-5.fc10                 updates           278 k

 zlib-devel                     i386             1.2.3-18.fc9               fedora             42 k

 

Transaction Summary

====================================================================================================

Install     29 Package(s)        

Update       0 Package(s)        

Remove       0 Package(s)        

 

Total download size: 22 M

 

Downloading Packages:

(1/29): PyQt4-4.5.4-1.fc10.i386.rpm                                          | 2.8 MB     00:23    

(2/29): PyQt4-devel-4.5.4-1.fc10.i386.rpm                                    | 7.2 MB     02:15    

(3/29): fontconfig-devel-2.6.0-3.fc10.i386.rpm                               | 216 kB     00:47    

(4/29): freetype-devel-2.3.7-3.fc10.i386.rpm                                 | 157 kB     00:01    

(5/29): libICE-devel-1.0.4-4.fc10.i386.rpm                                   |  13 kB     00:03    

(6/29): libSM-devel-1.1.0-2.fc10.i386.rpm                                    |  10 kB     00:01    

(7/29): libX11-devel-1.1.5-4.fc10.i386.rpm                                   | 1.1 MB     00:16    

(8/29): libXau-devel-1.0.4-1.fc10.i386.rpm                                   |  11 kB     00:00    

(9/29): libXcursor-devel-1.1.9-3.fc10.i386.rpm                               |  19 kB     00:03    

(10/29): libXdmcp-devel-1.0.2-6.fc10.i386.rpm                                | 8.0 kB     00:00    

(11/29): libXext-devel-1.0.4-1.fc9.i386.rpm                                  |  60 kB     00:06    

(12/29): libXfixes-devel-4.0.3-4.fc10.i386.rpm                               | 9.8 kB     00:02    

(13/29): libXft-devel-2.1.13-1.fc10.i386.rpm                                 |  17 kB     00:01    

(14/29): libXi-devel-1.1.3-4.fc9.i386.rpm                                    |  52 kB     00:03    

(15/29): libXinerama-devel-1.0.3-2.fc10.i386.rpm                             | 8.5 kB     00:00    

(16/29): libXrandr-devel-1.2.3-1.fc10.i386.rpm                               |  17 kB     00:01    

(17/29): libXrender-devel-0.9.4-3.fc9.i386.rpm                               | 9.2 kB     00:00    

(18/29): libXt-devel-1.0.5-1.fc10.i386.rpm                                   | 328 kB     00:53    

(19/29): libjpeg-devel-6b-43.fc10.i386.rpm                                   | 104 kB     00:54    

(20/29): libpng-devel-1.2.37-1.fc10.i386.rpm                                 | 110 kB     00:02    

(21/29): libxcb-devel-1.1.91-7.fc10.i386.rpm                                 | 144 kB     00:02    

(22/29): mesa-libGL-devel-7.2-0.15.fc10.i386.rpm                             | 460 kB     00:09    

(23/29): mesa-libGLU-devel-7.2-0.15.fc10.i386.rpm                            | 101 kB     00:01    

(24/29): python-devel-2.5.2-1.fc10.i386.rpm                                  | 901 kB     04:17    

(25/29): qt-devel-4.5.2-3.fc10.i386.rpm                                      | 7.6 MB     02:25    

(26/29): sip-4.8.2-1.fc10.i386.rpm                                           | 243 kB     00:03    

(27/29): sip-devel-4.8.2-1.fc10.i386.rpm                                     |  19 kB     00:00    

(28/29): xorg-x11-proto-devel-7.4-5.fc10.noarch.rpm                          | 278 kB     00:07    

(29/29): zlib-devel-1.2.3-18.fc9.i386.rpm                                    |  42 kB     00:05    

----------------------------------------------------------------------------------------------------

Total                                                                28 kB/s |  22 MB     13:37    

 

Running rpm_check_debug

Running Transaction Test

Finished Transaction Test

Transaction Test Succeeded

Running Transaction

  Installing     : sip-4.8.2-1.fc10.i386                                                       1/29

  Installing     : zlib-devel-1.2.3-18.fc9.i386                                                2/29

  Installing     : freetype-devel-2.3.7-3.fc10.i386                                            3/29

  Installing     : fontconfig-devel-2.6.0-3.fc10.i386                                          4/29

  Installing     : 2:libpng-devel-1.2.37-1.fc10.i386                                           5/29

  Installing     : libxcb-devel-1.1.91-7.fc10.i386                                             6/29

  Installing     : libjpeg-devel-6b-43.fc10.i386                                               7/29

  Installing     : python-devel-2.5.2-1.fc10.i386                                              8/29

  Installing     : PyQt4-4.5.4-1.fc10.i386                                                     9/29

  Installing     : sip-devel-4.8.2-1.fc10.i386                                                10/29

  Installing     : mesa-libGL-devel-7.2-0.15.fc10.i386                                        11/29

  Installing     : mesa-libGLU-devel-7.2-0.15.fc10.i386                                       12/29

  Installing     : libXdmcp-devel-1.0.2-6.fc10.i386                                           13/29

  Installing     : xorg-x11-proto-devel-7.4-5.fc10.noarch                                     14/29

  Installing     : libICE-devel-1.0.4-4.fc10.i386                                             15/29

  Installing     : libSM-devel-1.1.0-2.fc10.i386                                              16/29

  Installing     : libXau-devel-1.0.4-1.fc10.i386                                             17/29

  Installing     : libX11-devel-1.1.5-4.fc10.i386                                             18/29

  Installing     : libXrender-devel-0.9.4-3.fc9.i386                                          19/29

  Installing     : libXft-devel-2.1.13-1.fc10.i386                                            20/29

  Installing     : libXext-devel-1.0.4-1.fc9.i386                                             21/29

  Installing     : libXcursor-devel-1.1.9-3.fc10.i386                                         22/29

  Installing     : libXrandr-devel-1.2.3-1.fc10.i386                                          23/29

  Installing     : libXi-devel-1.1.3-4.fc9.i386                                               24/29

  Installing     : libXfixes-devel-4.0.3-4.fc10.i386                                          25/29

  Installing     : libXinerama-devel-1.0.3-2.fc10.i386                                        26/29

  Installing     : libXt-devel-1.0.5-1.fc10.i386                                              27/29

  Installing     : 1:qt-devel-4.5.2-3.fc10.i386                                               28/29

  Installing     : PyQt4-devel-4.5.4-1.fc10.i386                                              29/29

 

Installed:

  PyQt4.i386 0:4.5.4-1.fc10                     PyQt4-devel.i386 0:4.5.4-1.fc10                   

 

Dependency Installed:

  fontconfig-devel.i386 0:2.6.0-3.fc10            freetype-devel.i386 0:2.3.7-3.fc10              

  libICE-devel.i386 0:1.0.4-4.fc10                libSM-devel.i386 0:1.1.0-2.fc10                 

  libX11-devel.i386 0:1.1.5-4.fc10                libXau-devel.i386 0:1.0.4-1.fc10                

  libXcursor-devel.i386 0:1.1.9-3.fc10            libXdmcp-devel.i386 0:1.0.2-6.fc10              

  libXext-devel.i386 0:1.0.4-1.fc9                libXfixes-devel.i386 0:4.0.3-4.fc10             

  libXft-devel.i386 0:2.1.13-1.fc10               libXi-devel.i386 0:1.1.3-4.fc9                  

  libXinerama-devel.i386 0:1.0.3-2.fc10           libXrandr-devel.i386 0:1.2.3-1.fc10             

  libXrender-devel.i386 0:0.9.4-3.fc9             libXt-devel.i386 0:1.0.5-1.fc10                 

  libjpeg-devel.i386 0:6b-43.fc10                 libpng-devel.i386 2:1.2.37-1.fc10               

  libxcb-devel.i386 0:1.1.91-7.fc10               mesa-libGL-devel.i386 0:7.2-0.15.fc10           

  mesa-libGLU-devel.i386 0:7.2-0.15.fc10          python-devel.i386 0:2.5.2-1.fc10                

  qt-devel.i386 1:4.5.2-3.fc10                    sip.i386 0:4.8.2-1.fc10                         

  sip-devel.i386 0:4.8.2-1.fc10                   xorg-x11-proto-devel.noarch 0:7.4-5.fc10        

  zlib-devel.i386 0:1.2.3-18.fc9                

 

 Complete!

[root@fedora10 ~]#

 

Everything should be working perfectly... try to execute smolt by using command below...

[fedora10@fedora10 ~]$ su - -c "/usr/share/smolt/client/smoltGui.py"

Password:  

[fedora10@fedora10 ~]$

 




Install backup-light an backup-manager the backup system for fedora 10



Computer Configuration GNU Linux Fedora using Linux Command

 

   The example below show step by step to install backup-light and install backup-manager, the backup system utility for Fedora 10.  Execute yum command as show on example below to start the installation process.

 

[root@fedora10 ~]# yum install backup*

Loaded plugins: refresh-packagekit

Setting up Install Process

Parsing package install arguments

Resolving Dependencies

--> Running transaction check

---> Package backup-manager.noarch 0:0.7.8-4.fc10 set to be updated

--> Processing Dependency: dar for package: backup-manager

---> Package backup-light.noarch 0:0.4-2.fc10 set to be updated

--> Running transaction check

---> Package dar.i386 0:2.3.8-1.fc10 set to be updated

--> Processing Dependency: par2cmdline for package: dar

--> Processing Dependency: libdar.so.4 for package: dar

--> Running transaction check

---> Package libdar.i386 0:2.3.8-1.fc10 set to be updated

---> Package par2cmdline.i386 0:0.4-14.fc9 set to be updated

--> Finished Dependency Resolution

 

Dependencies Resolved

 

================================================================================

 Package               Arch          Version               Repository      Size

================================================================================

Installing:

 backup-light          noarch        0.4-2.fc10            updates         16 k

 backup-manager        noarch        0.7.8-4.fc10          updates        106 k

Installing for dependencies:

 dar                   i386          2.3.8-1.fc10          fedora         581 k

 libdar                i386          2.3.8-1.fc10          fedora         524 k

 par2cmdline           i386          0.4-14.fc9            fedora         110 k

 

Transaction Summary

================================================================================

Install      5 Package(s)

Update       0 Package(s)

Remove       0 Package(s)

 

Total download size: 1.3 M

Is this ok [y/N]: y

Downloading Packages:

(1/5): backup-light-0.4-2.fc10.noarch.rpm                |  16 kB     00:01

(2/5): backup-manager-0.7.8-4.fc10.noarch.rpm            | 106 kB     00:08

(3/5): par2cmdline-0.4-14.fc9.i386.rpm                   | 110 kB     00:04

(4/5): libdar-2.3.8-1.fc10.i386.rpm                      | 524 kB     00:12

(5/5): dar-2.3.8-1.fc10.i386.rpm                         | 581 kB     00:12

--------------------------------------------------------------------------------

Total                                            31 kB/s | 1.3 MB     00:43

warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 4ebfc273

fedora/gpgkey                                            | 2.3 kB     00:00

Importing GPG key 0x4EBFC273 "Fedora (10) <fedora@fedoraproject.org>" from /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-i386

Is this ok [y/N]: y      <-- hit 'y' and Enter key to start the installation process

Running rpm_check_debug

Running Transaction Test

Finished Transaction Test

Transaction Test Succeeded

Running Transaction

  Installing     : par2cmdline                                              1/5

  Installing     : libdar                                                   2/5

  Installing     : backup-light                                             3/5

  Installing     : dar                                                      4/5

  Installing     : backup-manager                                           5/5

 

Installed:

  backup-light.noarch 0:0.4-2.fc10     backup-manager.noarch 0:0.7.8-4.fc10

 

Dependency Installed:

  dar.i386 0:2.3.8-1.fc10                  libdar.i386 0:2.3.8-1.fc10

  par2cmdline.i386 0:0.4-14.fc9

 

Complete!

[root@fedora10 ~]#